package role_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/role_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route post /api/admin/role/update role_admin UpdateRoleAdmin
//
// Update role information | 更新角色
//
// Update role information | 更新角色
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: RoleInfo
//

func UpdateRoleAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.RoleInfo
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := role_admin.NewUpdateRoleAdminLogic(r, r.Context(), svcCtx)
		err := l.UpdateRoleAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, nil, err)

	}
}
